local AddonName, a = ...
a.Localize = setmetatable({}, {__index = function(_, key) return key end})
local L = a.Localize

-- Example:
L["English text goes here."] = "Translated text goes here."

if GetLocale() == "ptBR" then -- Brazilian Portuguese
L["Overloaded with Light"] = "Sobrecarregado com Luz"
L[" is ready"] = " está pronto"
elseif GetLocale() == "frFR" then -- French
L["Overloaded with Light"] = "Surchargé de lumière"
L[" is ready"] = " est prêt"
elseif GetLocale() == "deDE" then -- German
L["Overloaded with Light"] = "Mit Licht überladen"
L[" is ready"] = " ist bereit"
elseif GetLocale() == "itIT" then -- Italian
L["Overloaded with Light"] = "Sovraccaricato di Luce"
L[" is ready"] = " è pronta"
elseif GetLocale() == "koKR" then -- Korean
L["Overloaded with Light"] = "빛으로 과부하 발생"
L[" is ready"] = " 준비되었다"
elseif GetLocale() == "esMX" then -- Latin American Spanish
L["Overloaded with Light"] = "Sobrecargado de Luz"
L[" is ready"] = " está listo"
elseif GetLocale() == "ruRU" then -- Russian
L["Overloaded with Light"] = "Перегрузка Светом"
L[" is ready"] = " готов"
elseif GetLocale() == "zhCN" then -- Simplified Chinese
L["Overloaded with Light"] = "圣光过载"
L[" is ready"] = " 准备好了"
elseif GetLocale() == "esES" then -- Spanish
L["Overloaded with Light"] = "Sobrecargado de Luz"
L[" is ready"] = " está listo"
elseif GetLocale() == "zhTW" then -- Traditional Chinese
--L["Overloaded with Light"] = ""
--L[" is ready"] = ""
end